Delete Mcp Server

Delete Mcp Server
Delete an existing MCP server configuration.

This method allows you to delete a previously created MCP server configuration using its ID.

Deleting an MCP server also removes all associated tools. The operation fails if any tools are linked to an agent.

Request
URI
DELETE
https://{api_host}/api/v1/control/mcp-servers/{mcp_server_id}
COPY
Path Parameters
string
mcp_server_id
Required  

mcp_server_id


Authentication
This operation uses the following authentication methods.
Responses
200

Successful Response

Returns DeletionStatusResponse of type(s) application/json
{
    "id": "string",
    "object": "string",
    "deleted": false
}
string As uuid As uuid
id
Required  

id

string
object
Required  

object

boolean
deleted
Required  

deleted


404

Invalid MCP server ID.

Operation doesn't return any data structure

409

The MCP server cannot be deleted because its tools are in use.

Operation doesn't return any data structure

422

Validation Error

Returns HTTPValidationError of type(s) application/json
{
    "detail": [
        {
            "loc": [
                {}
            ],
            "msg": "string",
            "type": "string",
            "ctx": {}
        }
    ]
}
array of object
detail
Optional

detail


500

Failed to delete MCP server due to internal error.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' https://{api_host}/api/v1/control/mcp-servers/{mcp_server_id}